test

test222

2222

232323

23232422

q2e2qe2

232323

323232

Облака / Диски

Как установить Google Диск в Ubuntu 16.04 Xenial Xerus

LINUXSOID Июнь 23, 2016

Google Диск — это отличное интернет хранилище ваших файлов(фото, документы и любые другие файлы), в связи с тем что Google не проявляет с своей стороны никакой инициативы по созданию официального клиента Google Диск для Linux, его реализовали сторонние разработчики. В сегодняшнем материале я опишу детально как подключить гугл диск в Ubuntu 16.04 Xenial Xerus так как в старом материале, что я писал ранее — установка клиента Google Drive в Ubuntu 14.04, не подходит так как нет поддержки для 64 архитектуры данной версии дистрибутива.

Хотели установить Google Диск в Ubuntu 16.04 Xenial Xerus, но столкнулись с ошибками, ознакомьтесь с материалом ниже и у вас все получится.

Google Диск — это отличное интернет хранилище ваших файлов(фото, документы и любые другие файлы), в связи с тем что Google не проявляет с своей стороны никакой инициативы по созданию официального клиента Google Диск для Linux, его реализовали сторонние разработчики. В сегодняшнем материале я опишу детально как подключить гугл диск в Ubuntu 16.04 Xenial Xerus так как в старом материале, что я писал ранее — установка клиента Google Drive в Ubuntu 14.04, не подходит так как нет поддержки для 64 архитектуры данной версии дистрибутива.

Сегодня я опишу два метода установки гугл диска в Linux:

Install Google Disk for Ubuntu 16.04 Xenial Xerus

1. Установка Google Диск с помощью OverGrive — платно($4.99) без халявы.

Приступим к установке, перейдите на сайт разработчиков — здесь, далее промотаем ниже и ищем кнопку — Download DEB — Debian | Ubuntu | Mint, нажмите по ней, после скачается установочный файл.

После загрузки файла откройте терминал(Ctrl+Alt+T), далее выполните следующие команды:

cd ~/Downloads либо cd ~/Загрузки
sudo dpkg -i overgrive*

после вы увидите ошибку связанную с зависимостями:

Выбор ранее не выбранного пакета overgrive.
(Чтение базы данных … на данный момент установлено 348803 файла и каталога.)
Подготовка к распаковке overgrive_3.2.3_all.deb …
Распаковывается overgrive (3.2.3) …
dpkg: зависимости пакетов не позволяют настроить пакет overgrive:
 overgrive зависит от python2.7-dev, однако:
  Пакет python2.7-dev не установлен.
 overgrive зависит от python-pyinotify, однако:
  Пакет python-pyinotify не установлен.
 overgrive зависит от python-pip, однако:
  Пакет python-pip не установлен.
 overgrive зависит от python-setuptools, однако:
  Пакет python-setuptools не установлен.
dpkg: ошибка при обработке пакета overgrive (--install):
проблемы зависимостей — оставляем не настроенным
Обрабатываются триггеры для bamfdaemon (0.5.3~bzr0+16.04.20160523-0ubuntu1) …
Rebuilding /usr/share/applications/bamf-2.index...
Обрабатываются триггеры для gnome-menus (3.13.3-6ubuntu3) …
Обрабатываются триггеры для desktop-file-utils (0.22-1ubuntu5) …
Обрабатываются триггеры для mime-support (3.59ubuntu1) …
Обрабатываются триггеры для libglib2.0-0:i386 (2.48.0-1ubuntu4) …
Обрабатываются триггеры для libglib2.0-0:amd64 (2.48.0-1ubuntu4) …
При обработке следующих пакетов произошли ошибки:
 overgrive

чтобы удовлетворить зависимости, выполним в терминале команду:

sudo apt install -f
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
The following additional packages will be installed:
  libpython-all-dev libpython-dev libpython2.7-dev python-all python-all-dev python-dev python-pip python-pyinotify python-setuptools python-wheel
  python2.7-dev
Предлагаемые пакеты:
  python-pyinotify-doc python-setuptools-doc
НОВЫЕ пакеты, которые будут установлены:
  libpython-all-dev libpython-dev libpython2.7-dev python-all python-all-dev python-dev python-pip python-pyinotify python-setuptools python-wheel
  python2.7-dev
обновлено 0, установлено 11 новых пакетов, для удаления отмечено 0 пакетов, и 31 пакетов не обновлено.
не установлено до конца или удалено 1 пакетов.
Необходимо скачать 28,4 MБ архивов.
После данной операции, объём занятого дискового пространства возрастёт на 42,7 MB.
Хотите продолжить? [Д/н] 

как видим нам предлагается установить все пакеты которые не установились из-за зависимостей выше, жмем Enter и ждем пока все установится и да, надеюсь вы увидели, что на панели индикаторов появилась красная иконка которая сообщает, что есть ошибки при установке пакетов(зависимости), после установки описанной выше зависимости будут удовлетворены и ошибка исчезнет.

После перейдем в Dash и воспользуемся поиском введя запрос overgrive, после чего увидите найденное приложение:

Google диск в Ubuntu 16.04

клиент по установке, нажмите по иконке приложения и продолжим.

подтверждение установки гугл диска

  • Перейдите в браузер который у вас основной и по умолчанию и авторизуйтесь в вашем аккаунте в Gmail, далее жмем по кнопке Ok чтобы продолжить установку.

настройка OverGrive перед началом синхронизации с гугл диском

После нажатия на кнопку Ok у вас откроется новое окно настроек, установите галочки как это выполнил я:

  • Запускать Google Drive при запуске компьютера, ставить галочку или нет выбирать вам, я не хочу чтобы у меня в автозагрузке было много мусора и запущу приложение сам когда мне нужно.
  • Автоматически синхронизировать с Google Drive — вот этот пункт отмечен по умолчанию, галочку не снимаем, так как это помогает синхронизации ваших файлов, как только вы изменяете что-то на диске все автоматически синхронизируется чтобы не запускать синхронизацию вручную, оставьте этот пункт как есть.
  • Использовать уведомления — как я понимаю, при включении и синхронизации будут отображаться икошки с уведомлением, приложение запущено, синхронизация начата или завершена либо остановлена, полезная настройка, галочку установим.
  • Использовать светлый значок — как я понимаю на панели индикаторов будет отображаться темный значок приложения Google Drive, здесь его можно сменить на светлый, я выбрал светлый.
  • Так же чуть не упустили важный пункт настроек, выше имеется колонка — Google Docs — "Конвертировать документы в локальные файлы", очень полезная настройка позволяющая загрузить офисные документы на компьютер в папку синхронизации вместо создания ссылок на файлы.

копируем секретный код доступа для гугл диска выдаем доступ для гугл диска

  • После всех настроек жмем по кнопке "Подключить аккаунт". У вас откроется новая страница в браузере где дадим разрешением приложению OverGrive для синхронизации файлов с гугл диском.

проверяем валидность секретного кода для синхронизации с гугл диском

  • Нажали кнопку "Разрешить", после откроется новая страница на которой будет секретный код в специальном поле, копируем его и далее вставляем в окне приложения в поле — "Аккаунт" и жмем кнопку "Проверить".

После отобразится окно:

гугл диск становится платным для линукс начало синхронизации файлов Google Диск синхронизация файлов в Google диск

как видим приложение перестало быть бесплатным и теперь дается триалка на несколько дней, чтобы купить лицензию, придется раскошелиться на $4.99 доллара.

Нажали на кнопку продолжить после откроется окно приложения, где отобразятся данные по используемому дисковому пространству и прочие настройки, для окончания установки и старта синхронизации файлов, нажмите в самом низу кнопку "Начать синхронизацию". После запустится приложение и появится индикатор на панели выше, нажмите мышью по индикатору и выберите в выпадающем меню пункт "Синхронизировать", после начнется синхронизация файлов.

Установка Google Диск в Ubuntu 16.04 LTS

2. Установка Google Диск с помощью Google Drive — бесплатно пока еще.

Так же имеется немного иной способ установки Grive Tools, репозиторий который мы добавляли ранее для Ubuntu 14.04:

sudo add-apt-repository ppa:thefanclub/grive-tools && sudo apt-get update && sudo apt-get install grive-tools

теперь в Ubuntu 16.04 LTS выдает ошибки:

Err:18 http://ppa.launchpad.net/thefanclub/grive-tools/ubuntu xenial/main amd64 Packages 404  Not Found
Err:20 http://ppa.launchpad.net/thefanclub/grive-tools/ubuntu xenial/main i386 Packages 404  Not Found
E: Failed to fetch http://ppa.launchpad.net/thefanclub/grive-tools/ubuntu/dists/xenial/main/binary-amd64/Packages  404  Not Found
E: Failed to fetch http://ppa.launchpad.net/thefanclub/grive-tools/ubuntu/dists/xenial/main/binary-i386/Packages  404  Not Found
E: Некоторые индексные файлы не скачались. Они были проигнорированы или вместо них были использованы старые версии.

Что мы делаем в данном случае, я поступил так, благодаря ссылке на репозиторий выше, переходим в архив где лежит пакет grive-tools выбираем самую последнюю версии, я выбрал grive-tools_1.15_all.deb, скачали, приступим к установке.

Откройте терминал(Press Ctrl+Alt+T) и выполним следующие команды для установки:

cd ~/Загрузки/ либо cd ~/Download/
dpkg -i grive-tools_1.15_all.deb 

Далее увидите текст установки и ошибки с зависимостями:

Выбор ранее не выбранного пакета grive-tools.
(Чтение базы данных … на данный момент установлено 235449 файлов и каталогов.)
Подготовка к распаковке grive-tools_1.15_all.deb …
Распаковывается grive-tools (1.15) …
dpkg: зависимости пакетов не позволяют настроить пакет grive-tools:
 grive-tools зависит от python-pyinotify, однако:
  Пакет python-pyinotify не установлен.
 grive-tools зависит от gksu, однако:
  Пакет gksu не установлен.
 grive-tools зависит от expect, однако:
  Пакет expect не установлен.
 grive-tools зависит от libjson0-dev (>= 0.10), однако:
  Пакет libjson0-dev не установлен.
 grive-tools зависит от libyajl2 (>= 2), однако:
  Пакет libyajl2:amd64 не установлен.
 grive-tools зависит от libyajl-dev (>= 2), однако:
  Пакет libyajl-dev не установлен.
 grive-tools зависит от libboost-test-dev, однако:
  Пакет libboost-test-dev не установлен.
 grive-tools зависит от binutils-dev, однако:
  Пакет binutils-dev не установле
dpkg: ошибка при обработке пакета grive-tools (--install):
 проблемы зависимостей — оставляем не настроенным
Обрабатываются триггеры для gnome-menus (3.13.3-6ubuntu3) …
Обрабатываются триггеры для desktop-file-utils (0.22-1ubuntu5) …
Обрабатываются триггеры для bamfdaemon (0.5.3~bzr0+16.04.20160415-0ubuntu1) …
Rebuilding /usr/share/applications/bamf-2.index...
Обрабатываются триггеры для mime-support (3.59ubuntu1) …
Обрабатываются триггеры для libglib2.0-0:i386 (2.48.1-1~ubuntu16.04.1) …
Обрабатываются триггеры для libglib2.0-0:amd64 (2.48.1-1~ubuntu16.04.1) …
При обработке следующих пакетов произошли ошибки:
 grive-tools

Чтобы решить данный конфуз и установить все зависимости, выполним в терминале команду:

apt install -f

она установит все необходимые зависимости, да, те пакеты которые нам нужны для работы приложения, и да, ниже вы увидите текст вида:

Пакеты, которые будут УДАЛЕНЫ:
  grive-tools

ничего страшного, установим повторно, когда все установится в этой же директории повторно выполните команду:

dpkg -i grive-tools_1.15_all.deb 

пакет установится хотя и напишет еще какую зависимость вида:

dpkg: зависимости пакетов не позволяют настроить пакет grive-tools:

 grive-tools зависит от grive (>= 0.3), однако:

  Пакет grive не установлен.

dpkg: ошибка при обработке пакета grive-tools (--install):

 проблемы зависимостей — оставляем не настроенным

Мда уж, что не телодвижение, то снова танцы с бубном, но и здесь выход есть, я надеюсь вы снесли репозиторий от thefanclub выполнив в терминале команду:

add-apt-repository --remove ppa:thefanclub/grive-tools

После этого добавим репозиторий от webupd8 и завершим установку недостающей зависимости, а именно пакета grive, выполним в терминале команды:

sudo add-apt-repository ppa:nilarimogard/webupd8
apt update && apt install grive
apt install -f

запуск Google Диск в Ubuntu Linux

после перейдите в Dash и введите в поиске запрос Grive и увидите, что все установилось и готово к работе, далее начинаем синхронизацию файлов все так же как и в Ubuntu 14.04. На этом пожалуй установка Google Диск в Ubuntu 16.04 Xenial Xerus завершена.

комментарии 0
2125

Комментарии: “Как установить Google Диск в Ubuntu 16.04 Xenial Xerus

Сменить папку очень легко, создайте папку где вам нужно, если папка уже создана, перейдите в нее с помощью терминала, далее внутри выполните команду:

Это все я уже проделал дважды. Не реагируют вообще никак. Остается только претензию через PayPal открывать. dont_know

Вроде overdrive платный

Да, стал платным, был бесплатным ранее, печально конечно.

Дополнил материал, установка Google Drive в Ubuntu 16.04 LTS, способ -2.  smile

Спасибо. Второй способ помог. Есть ли возможность изменить местоположение папки?

Спасибо, все получилось. Но…. ммм… Во-первых, некоторые команды не хотели выполняться, требовали root… ok, погуглил, задал пароль для root, зашел как root, все установилось и таки заработало в том числе под основным пользователем. Но вот только после перезагрузки у основного пользователя пропал интернет. Ну тоесть, в трее значка подключения нет. Заходишь как рут — есть. (правда ругается что-то там на профиль…) И как гость заходишь — есть. Видимо, что-то снеслось в процессе неудачной установки… =(( Что? как его вернуть?
Это у меня уже третья попытка перейти на Линукс, (я так с перерывами в 3-5 лет…) но чето неведомая фигня в каких-то неожиданных местах вечно поджидает….

Если у вас дистрибутив Ubuntu 16.04 LTS, более не нужно ничего устанавливать, я выше добавил первый способ — здесь как настроить Google Диск без необходимости установки доп софта.

Иногда еще тема иконок может подлагивать, у меня были такие проблемы, соединение есть, но иконка отображается как бы и соединения нет. Что-то снестись не могло само собой.

А если вы выполняли что-то дополнительно и что-то затронули, обновите ваш дистрибутив выполнив в терминале команду:

А без GUI есть варианты?

Да, есть, можно через Google drive ocamlfuse, детали — здесьwink

Делал всё по инструкции, Google Drive Indicator так и не заработал, при старте висит секунд 30 пытаясь включится и всё, потом закрывается.

Ясно, спасибо что отписались, может кому будет полезен скрипт.  wink

ну пейпеловская и банк, все как положено. Отпишусь конечно но я уже на другое приложение нацелился. Правда оно 30уе стоит. Но платить хоть не в Африку paranoia

Если у вас есть квитанция с номером оплаты, есть хоть какое доказательство. Отпишитесь по факту решения, чтобы другие понимали, связываться ли с OverGrive.

Да, с индикатором есть проблемы, но в целом Google Drive работает как положено.  wink

В принципе решил проблему так, в крон добавил принудительную синхронизацию раз в 15 минут.
А в атозагрузку добавил скрипт, который отслеживает изменение в файлов папке и если необходимо запускает синхронизацию.

Увы, не платил, не приходилось. Если оплатили и ничего не выслали, пишите в техподдержку — https://www.thefanclub.co.za/contact обязательно на английском опишите все, желательно скриншот квитанции об оплате приложить.

А кому-то удалось код активации к OverGrive получить? Произвел оплату, через paypal, завели они мне экаунт на The Fan Club
dynamic design solutions, но кода активации не выслали. В самом home этого портала тоже ни слова про код. Делал пару обращений, тишина.
Само приложение в trial работало нормально в принципе.

Мда, дебилизм уже получается, кто-то другой купит и будет аналогичная ситуация и догадаются ли писать в поддержку, в итоге получится пожертвование проекту  .

Прислали таки ключ.
Причина неприсылки
>Your emails have been returned.
Что не дает ответ, ведь мы переписываемся. Только подозрения что генератор ключа подключенный к системе оплаты, не всегда может отправить на почту yahoo, или gmail.

Продолжение истории. Пару раз выскакивало — мол купите лицензию, я ее сохранил перед этим и вводил по новой. Но сегодня этот клиент — уничтожил содержимое моего google drive. Больше всего жаль библиотеку, годами собирал. Одни пустые папочки остались, которые он сначана в корень перенес, потом перемешал все файлы те что не удалил. В общем продукт этот не рекомендую никак. Это не серьезно. Теперь из бекапа доставать буду данные. Это не быстро все.

подозреваю что проблема там в кириллице, то что кириллицей не уцелело ничего.

Печальный опыт, сочувствую.  smil12

Добавить комментарий

Ваш e-mail не будет опубликован.